Index: src/backend/commands/vacuumlazy.c
===================================================================
RCS file: /Users/neilc/local/cvs/pgsql-server/src/backend/commands/vacuumlazy.c,v
retrieving revision 1.38
diff -c -r1.38 vacuumlazy.c
*** src/backend/commands/vacuumlazy.c	12 Feb 2004 05:39:55 -0000	1.38
--- src/backend/commands/vacuumlazy.c	25 Apr 2004 22:24:46 -0000
***************
*** 813,819 ****
  
  		if (PageIsNew(page) || PageIsEmpty(page))
  		{
! 			/* PageIsNew robably shouldn't happen... */
  			LockBuffer(buf, BUFFER_LOCK_UNLOCK);
  			ReleaseBuffer(buf);
  			continue;
--- 813,819 ----
  
  		if (PageIsNew(page) || PageIsEmpty(page))
  		{
! 			/* PageIsNew probably shouldn't happen... */
  			LockBuffer(buf, BUFFER_LOCK_UNLOCK);
  			ReleaseBuffer(buf);
  			continue;
Index: src/backend/storage/buffer/bufmgr.c
===================================================================
RCS file: /Users/neilc/local/cvs/pgsql-server/src/backend/storage/buffer/bufmgr.c,v
retrieving revision 1.163
diff -c -r1.163 bufmgr.c
*** src/backend/storage/buffer/bufmgr.c	22 Apr 2004 07:21:55 -0000	1.163
--- src/backend/storage/buffer/bufmgr.c	25 Apr 2004 22:26:46 -0000
***************
*** 35,42 ****
   */
  #include "postgres.h"
  
- #include <math.h>
- #include <signal.h>
  #include <sys/file.h>
  #include <unistd.h>
  
--- 35,40 ----
Index: src/include/storage/buf.h
===================================================================
RCS file: /Users/neilc/local/cvs/pgsql-server/src/include/storage/buf.h,v
retrieving revision 1.16
diff -c -r1.16 buf.h
*** src/include/storage/buf.h	29 Nov 2003 22:41:13 -0000	1.16
--- src/include/storage/buf.h	25 Apr 2004 23:40:16 -0000
***************
*** 32,38 ****
  
  /*
   * BufferIsLocal
!  *		True iff the buffer is local (not visible to other servers).
   */
  #define BufferIsLocal(buffer)	((buffer) < 0)
  
--- 32,38 ----
  
  /*
   * BufferIsLocal
!  *		True iff the buffer is local (not visible to other backends).
   */
  #define BufferIsLocal(buffer)	((buffer) < 0)
  
Index: src/include/storage/bufmgr.h
===================================================================
RCS file: /Users/neilc/local/cvs/pgsql-server/src/include/storage/bufmgr.h,v
retrieving revision 1.77
diff -c -r1.77 bufmgr.h
*** src/include/storage/bufmgr.h	22 Apr 2004 07:21:55 -0000	1.77
--- src/include/storage/bufmgr.h	25 Apr 2004 23:41:18 -0000
***************
*** 42,48 ****
  extern DLLIMPORT Block *LocalBufferBlockPointers;
  extern int32 *LocalRefCount;
  
! /* special pageno for bget */
  #define P_NEW	InvalidBlockNumber		/* grow the file to get a new page */
  
  /*
--- 42,48 ----
  extern DLLIMPORT Block *LocalBufferBlockPointers;
  extern int32 *LocalRefCount;
  
! /* special block number for ReadBuffer() */
  #define P_NEW	InvalidBlockNumber		/* grow the file to get a new page */
  
  /*
